Bug 110696 - Large files mangled after download
Summary: Large files mangled after download
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: lynx (Show other bugs)
(Show other bugs)
Version: 9
Hardware: athlon Linux
medium
medium
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-23 16:15 UTC by David Tonhofer
Modified: 2007-04-18 16:59 UTC (History)
1 user (show)

Fixed In Version: lynx-2.8.5-27.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-12 15:33:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Tonhofer 2003-11-23 16:15:13 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.5)
Gecko/20031007

Description of problem:
I download a large file (234704410 byte to be precise, a tarball)
from a machine running RH 7.3 (but a self-compiled Apache)
using lynx. 

Upon arrival, the file has the correct size, but it does not
have the correct content: md5sum does not match, tar says
'crc error' about 3/4 through.

This experiment was repeated twice with the same results. Note
that download passed through a RH 7.1 machine set up as natting
packetfilter in front of an ADSL. Download time: ~4h.

Download of file using FTP (Pure-FTP server + SafeTP encryptor) works.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Prepare a large file
2. Download with lynx
3. Compute md5sum
    

Actual Results:  Files don't match

Expected Results:  Files should match

Additional info:

Comment 1 Ivana Varekova 2006-01-12 14:36:00 UTC
Hello, I try to reproduce your problem, but I was not succesful (I use the last
version of lynx - lynx-2.8.5-27.1). 
Could you please try to reproduce this problem with this version of lynx and
attach a testcase here.
Thank you. 

Comment 2 David Tonhofer 2006-01-12 15:20:52 UTC
Hi. This is a very old bug, I can try to reproduce on the Red Hat 9.0
(2.4.20-20.9) with lynx-2.8.5-11. I think that was the original system that
exhibited the problem (I wanted to scratch the machine in the next couple of
weeks) Do you think it is still worthwhile reproduce it after 2 years?
Best regards -- David

Comment 3 Ivana Varekova 2006-01-12 15:33:45 UTC
I think it is not necessary. I tested the last vesion of lynx and it seems fine.
Red Hat 9.0 is quite outdated so there could be some problem which is fixed now.
I'm closing this bug now. If you find some test case please reopen this bug and
attach it. Thanks.


Note You need to log in before you can comment on or make changes to this bug.